using System.Threading.Tasks;
using InternshipSystem.Repository;
using Microsoft.AspNetCore.Mvc;

namespace InternshipSystem.Api.Controllers
{
    [ApiController]
    [Route("admin")]
    public class AdminController : ControllerBase
    {
        public AdminController(DatabaseFiller fillerService)
        {
            FillerService = fillerService;
        }

        public DatabaseFiller FillerService { get; }

        
        [HttpPost("fill")] 
        public async Task<IActionResult> Fill() {
            await FillerService.FillCompanies();
            await FillerService.FillEditions();
            return Ok();
        }

        [HttpPost("fill/companies")]
        public async Task<IActionResult> FillCompaniesAsync()
        {
            await FillerService.FillCompanies();
            return Ok();
        }
        
        [HttpPost("fill/editions")]
        public async Task<IActionResult> FillEditionsAsync() {
            await FillerService.FillEditions();
            return Ok();
        }
    }
}